<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
ini_set('memory_limit', '128M');

if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}

$res = array();

$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{                                                                 
                    $elem = array(
                        'id'=>$row["id"],
                        'nombre'=>$row["nombre"],
                        'tipo'=>$row["tipo"],
                        'anoproy'=>$row["anoproy"],
                        'descripcion'=>$row["descripcion"],
                        'jpg'=>$row["nombre"]
                            );
                    array_push($res,$elem);
                    }
        }
}

mysqli_close($con);
echo json_encode($res);



?>